Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.actions
Class SetLayerState.LayerStates

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfArray>
          org.pdfclown.documents.interaction.actions.SetLayerState.LayerStates

All Implemented Interfaces:
  Cloneable, Iterable<SetLayerState.LayerState>, Collection<SetLayerState.LayerState>, List<SetLayerState.LayerState>, IPdfObjectWrapper

Enclosing class:
  SetLayerState

    public static class SetLayerState.LayerStates

extends PdfObjectWrapper<PdfArray>
implements List<SetLayerState.LayerState>

Constructor Summary
`SetLayerState.LayerStates()`

Method Summary
`void` | `add(int index, SetLayerState.LayerState item)`
`boolean` | `add(SetLayerState.LayerState item)`
`boolean` | `addAll(Collection<? extends SetLayerState.LayerState> items)`
`boolean` | `addAll(int index, Collection<? extends SetLayerState.LayerState> items)`
`void` | `clear()`
`SetLayerState.LayerStates` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`boolean` | `contains(Object item)`
`boolean` | `containsAll(Collection<?> items)`
`SetLayerState.LayerState` | `get(int index)`
`int` | `indexOf(Object item)`
`boolean` | `isEmpty()`
`Iterator<SetLayerState.LayerState>` | `iterator()`
`int` | `lastIndexOf(Object item)`
`ListIterator<SetLayerState.LayerState>` | `listIterator()`
`ListIterator<SetLayerState.LayerState>` | `listIterator(int index)`
`SetLayerState.LayerState` | `remove(int index)`
`boolean` | `remove(Object item)`
`boolean` | `removeAll(Collection<?> items)`
`boolean` | `retainAll(Collection<?> items)`
`SetLayerState.LayerState` | `set(int index, SetLayerState.LayerState item)`
`int` | `size()`
`List<SetLayerState.LayerState>` | `subList(int fromIndex, int toIndex)`
`Object[]` | `toArray()`
`
`<T> T[]`
` | `toArray(T[] a)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.List
`equals, hashCode`

Constructor Detail

### SetLayerState.LayerStates

    public SetLayerState.LayerStates()

Method Detail

### clone

    public SetLayerState.LayerStates clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfArray>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### add

    public boolean add(SetLayerState.LayerState item)

  Specified by:
    `add` in interface `Collection<SetLayerState.LayerState>`
  Specified by:
    `add` in interface `List<SetLayerState.LayerState>`

### add

    public void add(int index,
                    SetLayerState.LayerState item)

  Specified by:
    `add` in interface `List<SetLayerState.LayerState>`

### addAll

    public boolean addAll(Collection<? extends SetLayerState.LayerState> items)

  Specified by:
    `addAll` in interface `Collection<SetLayerState.LayerState>`
  Specified by:
    `addAll` in interface `List<SetLayerState.LayerState>`

### addAll

    public boolean addAll(int index,
                          Collection<? extends SetLayerState.LayerState> items)

  Specified by:
    `addAll` in interface `List<SetLayerState.LayerState>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection<SetLayerState.LayerState>`
  Specified by:
    `clear` in interface `List<SetLayerState.LayerState>`

### contains

    public boolean contains(Object item)

  Specified by:
    `contains` in interface `Collection<SetLayerState.LayerState>`
  Specified by:
    `contains` in interface `List<SetLayerState.LayerState>`

### containsAll

    public boolean containsAll(Collection<?> items)

  Specified by:
    `containsAll` in interface `Collection<SetLayerState.LayerState>`
  Specified by:
    `containsAll` in interface `List<SetLayerState.LayerState>`

### get

    public SetLayerState.LayerState get(int index)

  Specified by:
    `get` in interface `List<SetLayerState.LayerState>`

### indexOf

    public int indexOf(Object item)

  Specified by:
    `indexOf` in interface `List<SetLayerState.LayerState>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection<SetLayerState.LayerState>`
  Specified by:
    `isEmpty` in interface `List<SetLayerState.LayerState>`

### iterator

    public Iterator<SetLayerState.LayerState> iterator()

  Specified by:
    `iterator` in interface `Iterable<SetLayerState.LayerState>`
  Specified by:
    `iterator` in interface `Collection<SetLayerState.LayerState>`
  Specified by:
    `iterator` in interface `List<SetLayerState.LayerState>`

### lastIndexOf

    public int lastIndexOf(Object item)

  Specified by:
    `lastIndexOf` in interface `List<SetLayerState.LayerState>`

### listIterator

    public ListIterator<SetLayerState.LayerState> listIterator()

  Specified by:
    `listIterator` in interface `List<SetLayerState.LayerState>`

### listIterator

    public ListIterator<SetLayerState.LayerState> listIterator(int index)

  Specified by:
    `listIterator` in interface `List<SetLayerState.LayerState>`

### remove

    public boolean remove(Object item)

  Specified by:
    `remove` in interface `Collection<SetLayerState.LayerState>`
  Specified by:
    `remove` in interface `List<SetLayerState.LayerState>`

### remove

    public SetLayerState.LayerState remove(int index)

  Specified by:
    `remove` in interface `List<SetLayerState.LayerState>`

### removeAll

    public boolean removeAll(Collection<?> items)

  Specified by:
    `removeAll` in interface `Collection<SetLayerState.LayerState>`
  Specified by:
    `removeAll` in interface `List<SetLayerState.LayerState>`

### retainAll

    public boolean retainAll(Collection<?> items)

  Specified by:
    `retainAll` in interface `Collection<SetLayerState.LayerState>`
  Specified by:
    `retainAll` in interface `List<SetLayerState.LayerState>`

### set

    public SetLayerState.LayerState set(int index,
                                        SetLayerState.LayerState item)

  Specified by:
    `set` in interface `List<SetLayerState.LayerState>`

### size

    public int size()

  Specified by:
    `size` in interface `Collection<SetLayerState.LayerState>`
  Specified by:
    `size` in interface `List<SetLayerState.LayerState>`

### subList

    public List<SetLayerState.LayerState> subList(int fromIndex,
                                                  int toIndex)

  Specified by:
    `subList` in interface `List<SetLayerState.LayerState>`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection<SetLayerState.LayerState>`
  Specified by:
    `toArray` in interface `List<SetLayerState.LayerState>`

### toArray

    public <T> T[] toArray(T[] a)

  Specified by:
    `toArray` in interface `Collection<SetLayerState.LayerState>`
  Specified by:
    `toArray` in interface `List<SetLayerState.LayerState>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.